# Uses of Interface
org.eclipse.birt.report.engine.api.script.instance.IAutoTextInstance

Packages that use IAutoTextInstance
Package
Description
org.eclipse.birt.report.engine.api.script.eventadapter
This package contains adapters for the event handler interfaces in org.eclipse.birt.report.engine.api.script.eventhandler.
org.eclipse.birt.report.engine.api.script.eventhandler
This package contains event handler interfaces for the BIRT scripting environment.

## Uses of IAutoTextInstance in org.eclipse.birt.report.engine.api.script.eventadapter

Methods in org.eclipse.birt.report.engine.api.script.eventadapter with parameters of type IAutoTextInstance
Modifier and Type
Method
Description
`void`
AutoTextEventAdapter.`onCreate(IAutoTextInstance autoTextInstance, IReportContext reportContext)`
`void`
AutoTextEventAdapter.`onPageBreak(IAutoTextInstance autoTextInstance, IReportContext reportContext)`
`void`
AutoTextEventAdapter.`onRender(IAutoTextInstance autoTextInstance, IReportContext reportContext)`

## Uses of IAutoTextInstance in org.eclipse.birt.report.engine.api.script.eventhandler

Methods in org.eclipse.birt.report.engine.api.script.eventhandler with parameters of type IAutoTextInstance
Modifier and Type
Method
Description
`void`
IAutoTextEventHandler.`onCreate(IAutoTextInstance autoTextInstance, IReportContext reportContext)`
Handle the onCreate event
`void`
IAutoTextEventHandler.`onPageBreak(IAutoTextInstance autoTextInstance, IReportContext reportContext)`
Handle the onPageBreak event
`void`
IAutoTextEventHandler.`onRender(IAutoTextInstance autoTextInstance, IReportContext reportContext)`
Handle the onRender event